Pay a payment request
curl --request POST \
--url https://api.plane.com/v1/payment-requests/{id}/pay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plane.com/v1/payment-requests/{id}/pay"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plane.com/v1/payment-requests/{id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "processed",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": "pt_Wc5P4C53EwD485EFE2HWAwVV"
}
Payment Requests
Pay a payment request
POST
/
v1
/
payment-requests
/
{id}
/
pay
Pay a payment request
Approving a
Payment Request doesn’t automatically create a Payment, to allow
multi-step approvals.
When you are ready to complete a request, whether or not you collected any approvals, you can use this endpoint.
Parameters
The ID of the payment request you are paying.
Returns
Returns the Payment Request object with the Payment ID.{
"id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
"worker": "wr_anqRSFcK36ie85",
"amount": "1200.00",
"currency": "EUR",
"status": "processed",
"reference": "EV1S3GDM",
"note": "Payment for July",
"period": {
"starts": "2023-07-01",
"ends": "2023-07-31"
},
"documents": [],
"approvals": ["appr_YzmQ5oxQE78bDV3fZwEU3vGr"],
"payment": "pt_Wc5P4C53EwD485EFE2HWAwVV"
}
Was this page helpful?
⌘I